<template>
  <q-card class="q-mt-sm">
    <q-card-section>
      <div class="text-h5 q-mb-md">Gestion de Contraseña</div>

      <div class="row">
        <div class="col-12">
          <q-input
            v-model="formData.password"
            label="Nueva Contraseña"
            :type="isPwd ? 'password' : 'text'"
            :error="validacion.has('password')"
            :error-message="validacion.first('password')"
          >
            <template v-slot:append>
              <q-icon
                :name="isPwd ? 'visibility_off' : 'visibility'"
                class="cursor-pointer"
                @click="isPwd = !isPwd"
              />
            </template>
          </q-input>
        </div>
        <div class="col-12">
          <q-input
            v-model="formData.password_confirmation"
            label="Repetir Nueva Contraseña"
            :type="isPwd2 ? 'password' : 'text'"
            :error="validacion.has('password_confirmation')"
            :error-message="validacion.first('password_confirmation')"
          >
            <template v-slot:append>
              <q-icon
                :name="isPwd2 ? 'visibility_off' : 'visibility'"
                class="cursor-pointer"
                @click="isPwd2 = !isPwd2"
              />
            </template>
          </q-input>
        </div>
      </div>
      <div class="row q-col-gutter-xs">
        <div class="col-12">
          <q-btn @click="cambiarPassword" class="full-width" color="green">
            Cambiar contraseña
          </q-btn>
        </div>
      </div>
      <Loading :showing="loading" />
    </q-card-section>
  </q-card>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted, reactive } from 'vue';
import { api, validacion } from 'src/boot/axios/index';
import Loading from 'src/components/Loading.vue';
export default defineComponent({
  name: 'IndexPage',
  components: { Loading },
  setup() {
    const loading = ref(false);

    const isPwd = ref(true);
    const isPwd2 = ref(true);

    const formData = reactive({
      password: null,
      password_confirmation: null,
    });

    function cambiarPassword() {
      loading.value = true;
      api.put('/api/persona/datos/password', formData).finally(() => {
        loading.value = false;
      });
    }

    onMounted(() => {
      console.log('sss');
    });
    return { validacion, loading, formData, isPwd, isPwd2, cambiarPassword };
  },
});
</script>
